#ifndef __I2C_H__
#define __I2C_H__

#include "sensor20.h"

int cmd20_i2c(int fd, pin_t clock, pin_t data, char *cmd);

int cmd20_i2c_read7_multi(int fd, pin_t SCL, pin_t SDA, int devid, int reg, int count);
int cmd20_i2c_read7(int fd, pin_t SCL, pin_t SDA, int devid, int reg);
int cmd20_i2c_write7(int fd, pin_t SCL, pin_t SDA, int devid, int reg, int value);
int cmd20_i2c_write7_multi(int fd, pin_t SCL, pin_t SDA, int devid, int reg,
	const unsigned char *buf, int len);

int cmd20_i2c_read7raw(int fd, pin_t SCL, pin_t SDA, int devid, int count);
int cmd20_i2c_write7raw(int fd, pin_t SCL, pin_t SDA, int devid, 
	unsigned char *bytes, int count);

// Notify I2C library that pins have changed, so restart cond necessary
int cmd20_i2c_restart(void);

#endif/*__I2C_H__*/
