#!/bin/bash

export SDA=AN5
export SCL=AN6
./sensor20 69[00]
DATA=$(./sensor20 69[16]=19 69[15]=09 69[1d]:6)

X=$((0x${DATA:0:4}))
Y=$((0x${DATA:4:4}))
Z=$((0x${DATA:8:4}))

[ $X -gt 32767 ] && ((X=(X&0x7fff)-32768))
[ $Y -gt 32767 ] && ((Y=(Y&0x7fff)-32768))
[ $Z -gt 32767 ] && ((Z=(X&0x7fff)-32768))

echo $X $Y $Z

